Anonymous Login
2019-10-21 03:44 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001251OpenClonkEngine - C4Scriptpublic2019-04-06 15:10
ReporterMaikel 
Assigned ToMarky 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target Version9.0Fixed in Version9.0 
Summary0001251: Load System.ocg also from non-empty object folders
DescriptionCurrently System.ocg folders are only loaded from empty .ocd folders, if this has no special reason we should not require this.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006217

Marky (developer)

For clarification: Did you mean "an .ocd folder that has no DefCore.txt"? I usually have a structure "Folder.ocd\System.ocg" with additional folders "Folder.ocd\Subfolder.ocd\DefCore.txt", but in "Folder.ocd" there is no DefCore.txt. In such a structure the System.ocg loads.

~0006224

Marky (developer)

https://github.com/openclonk/openclonk/commit/d7308abeb1077bbf045abb0ee4a755b48e56e38d
+Notes

-Issue History
Date Modified Username Field Change
2015-01-25 21:02 Maikel New Issue
2015-03-15 14:38 Maikel Target Version 6.0 => 6.1
2016-01-04 15:11 Maikel Target Version 6.1 => 8.0
2017-08-20 11:45 Zapper Target Version 8.0 => 9.0
2019-03-31 17:42 Marky Note Added: 0006217
2019-04-06 15:10 Marky Assigned To => Marky
2019-04-06 15:10 Marky Status new => resolved
2019-04-06 15:10 Marky Resolution open => fixed
2019-04-06 15:10 Marky Fixed in Version => 9.0
2019-04-06 15:10 Marky Note Added: 0006224
+Issue History